<?php
//Active CDR statistics :
$enable_record_to_cdr = false;


//Common Languages en variantes
//http://www.w3.org/International/articles/language-tags/
//
// language-Script-REGION-variant-extension-privateuse
//
//The entries in the registry follow certain conventions with regard to upper and
//lowercasing - for example, language tags are lower case, alphabetic region subtags
//are upper case, and script tags begin with an initial capital. This is only a
//convention! When you use these subtags you are free to do as you like.

$credentials = '/PATH/TO/CREDENTIALS.JSON/FILE';

//default tts engine is the first in this tts array :
$tts = array();

$tts['google'] = array(
    'name'              => 'google',
    'call'              => 'ttsgoogle',
    'options'           => array(
        '$credentials',
        '$text',
        '$voice',
        '$filename',
        '$iformat',
        '8000',
	    '$lang'
    ),
    'voices'            => array(
        'da-DK-Standard-A' => array(
           'type' => 'female',
           'desc' => 'Danish Female',
           'voptions' => array('lang' => 'da-DK')
        ),
        'da-DK-Wavenet-A' => array(
            'type' => 'female',
            'desc' => 'Danish Female',
            'voptions' => array('lang' => 'da-Dk')
        ),
        'nl-NL-Standard-A' => array(
            'type' => 'female',
            'desc' => 'Dutch Female',
            'voptions' => array('lang' => 'nl-NL')
        ),
        'nl-NL-Wavenet-A' => array(
            'type' => 'demale',
            'desc' => 'Dutch Female',
            'voptions' => array('lang' => 'nl-NL')
        ),
        'en-AU-Standard-A' => array(
            'type' => 'female',
            'desc' => 'Australian Female',
            'voptions' => array('lang' => 'en-AU')
        ),
        'en-AU-Standard-B' => array(
            'type' => 'male',
            'desc' => 'Australian Male',
            'voptions' => array('lang' => 'en-AU')
        ),
        'en-AU-Standard-C' => array(
            'type' => 'female',
            'desc' => 'Australian Female',
            'voptions' => array('lang' => 'en-AU')
        ),
        'en-AU-Standard-D' => array(
            'type' => 'male',
            'desc' => 'Australian Male',
            'voptions' => array('lang' => 'en-AU')
        ),
        'en-AU-Wavenet-A' => array(
            'type' => 'female',
            'desc' => 'Australian Female',
            'voptions' => array('lang' => 'en-AU')
        ),
        'en-AU-Wavenet-B' => array(
            'type' => 'male',
            'desc' => 'Australian Male',
            'voptions' => array('lang' => 'en-AU')
        ),
        'en-AU-Wavenet-C' => array(
            'type' => 'female',
            'desc' => 'Australian Female',
            'voptions' => array('lang' => 'en-AU')
        ),
        'en-AU-Wavenet-D' => array(
            'type' => 'male',
            'desc' => 'Australian Male',
            'voptions' => array('lang' => 'en-AU')
        ),
        'en-GB-Standard-A' => array(
            'type' => 'female',
            'desc' => 'British Female',
            'voptions' => array('lang' => 'en-GB')
        ),
        'en-GB-Standard-B' => array(
            'type' => 'male',
            'desc' => 'British Male',
            'voptions' => array('lang' => 'en-GB')
        ),
        'en-GB-Standard-C' => array(
            'type' => 'female',
            'desc' => 'British Female',
            'voptions' => array('lang' => 'en-GB')
        ),
        'en-GB-Standard-D' => array(
            'type' => 'male',
            'desc' => 'British Male',
            'voptions' => array('lang' => 'en-GB')
        ),
        'en-GB-Wavenet-A' => array(
            'type' => 'female',
            'desc' => 'British Female',
            'voptions' => array('lang' => 'en-GB')
        ),
        'en-GB-Wavenet-B' => array(
            'type' => 'male',
            'desc' => 'British Male',
            'voptions' => array('lang' => 'en-GB')
        ),
        'en-GB-Wavenet-C' => array(
            'type' => 'female',
            'desc' => 'British Female',
            'voptions' => array('lang' => 'en-GB')
        ),
        'en-GB-Wavenet-D' => array(
            'type' => 'male',
            'desc' => 'British Male',
            'voptions' => array('lang' => 'en-GB')
        ),
        'en-US-Standard-B' => array(
            'type' => 'male',
            'desc' => 'US Male',
            'voptions' => array('lang' => 'en-US')
        ),
        'en-US-Standard-C' => array(
            'type' => 'female',
            'desc' => 'US Female',
            'voptions' => array('lang' => 'en-US')
        ),
        'en-US-Standard-D' => array(
            'type' => 'male',
            'desc' => 'US Male',
            'voptions' => array('lang' => 'en-US')
        ),
        'en-US-Standard-E' => array(
            'type' => 'female',
            'desc' => 'US Female',
            'voptions' => array('lang' => 'en-US')
        ),
        'en-US-Wavenet-A' => array(
            'type' => 'male',
            'desc' => 'US Male',
            'voptions' => array('lang' => 'en-US')
        ),
        'en-US-Wavenet-B' => array(
            'type' => 'male',
            'desc' => 'US Male',
            'voptions' => array('lang' => 'en-US')
        ),
        'en-US-Wavenet-C' => array(
            'type' => 'female',
            'desc' => 'US Female',
            'voptions' => array('lang' => 'en-US')
        ),
        'en-US-Wavenet-D' => array(
            'type' => 'male',
            'desc' => 'US Male',
            'voptions' => array('lang' => 'en-US')
        ),
        'en-US-Wavenet-E' => array(
            'type' => 'female',
            'desc' => 'US Female',
            'voptions' => array('lang' => 'en-US')
        ),
        'en-US-Wavenet-F' => array(
            'type' => 'female',
            'desc' => 'US Female',
            'voptions' => array('lang' => 'en-US')
        ),
        'fr-CA-Standard-A' => array(
            'type' => 'female',
            'desc' => 'Canadian Female',
            'voptions' => array('lang' => 'fr-CA')
        ),
        'fr-CA-Standard-B' => array(
            'type' => 'male',
            'desc' => 'Canadian Male',
            'voptions' => array('lang' => 'fr-CA')
        ),
        'fr-CA-Standard-C' => array(
            'type' => 'female',
            'desc' => 'Canadian Female',
            'voptions' => array('lang' => 'fr-CA')
        ),
        'fr-CA-Standard-D' => array(
            'type' => 'male',
            'desc' => 'Canadian Male',
            'voptions' => array('lang' => 'fr-CA')
        ),
        'fr-CA-Wavenet-A' => array(
            'type' => 'female',
            'desc' => 'Canadian Female',
            'voptions' => array('lang' => 'fr-CA')
        ),
        'fr-CA-Wavenet-B' => array(
            'type' => 'male',
            'desc' => 'Canadian Male',
            'voptions' => array('lang' => 'fr-CA')
        ),
        'fr-CA-Wavenet-C' => array(
            'type' => 'female',
            'desc' => 'Canadian Female',
            'voptions' => array('lang' => 'fr-CA')
        ),
        'fr-CA-Wavenet-D' => array(
            'type' => 'male',
            'desc' => 'Canadian Male',
            'voptions' => array('lang' => 'fr-CA')
        ),
        'fr-FR-Standard-A' => array(
            'type' => 'female',
            'desc' => 'French Female',
            'voptions' => array('lang' => 'fr-FR')
        ),
        'fr-FR-Standard-B' => array(
            'type' => 'male',
            'desc' => 'French Male',
            'voptions' => array('lang' => 'fr-FR')
        ),
        'fr-FR-Standard-C' => array(
            'type' => 'female',
            'desc' => 'French Female',
            'voptions' => array('lang' => 'fr-FR')
        ),
        'fr-FR-Standard-D' => array(
            'type' => 'male',
            'desc' => 'French Male',
            'voptions' => array('lang' => 'fr-FR')
        ),
        'fr-FR-Wavenet-A' => array(
            'type' => 'female',
            'desc' => 'French Female',
            'voptions' => array('lang' => 'fr-FR')
        ),
        'fr-FR-Wavenet-B' => array(
            'type' => 'male',
            'desc' => 'French Male',
            'voptions' => array('lang' => 'fr-FR')
        ),
        'fr-FR-Wavenet-C' => array(
            'type' => 'female',
            'desc' => 'French Female',
            'voptions' => array('lang' => 'fr-FR')
        ),
        'fr-FR-Wavenet-D' => array(
            'type' => 'male',
            'desc' => 'French Male',
            'voptions' => array('lang' => 'fr-FR')
        ),
        'de-DE-Standard-A' => array(
            'type' => 'female',
            'desc' => 'German Female',
            'voptions' => array('lang' => 'de-DE')
        ),
        'de-DE-Standard-B' => array(
            'type' => 'male',
            'desc' => 'German Male',
            'voptions' => array('lang' => 'de-DE')
        ),
        'de-DE-Wavenet-A' => array(
            'type' => 'female',
            'desc' => 'German Female',
            'voptions' => array('lang' => 'de-DE')
        ),
        'de-DE-Wavenet-B' => array(
            'type' => 'male',
            'desc' => 'German Male',
            'voptions' => array('lang' => 'de-DE')
        ),
        'de-DE-Wavenet-C' => array(
            'type' => 'female',
            'desc' => 'German Female',
            'voptions' => array('lang' => 'de-DE')
        ),
        'de-DE-Wavenet-D' => array(
            'type' => 'male',
            'desc' => 'German Male',
            'voptions' => array('lang' => 'de-DE')
        ),
		'it-IT-Standard-A' => array(
            'type' => 'female',
            'desc' => 'Italian Female',
            'voptions' => array('lang' => 'it-IT')
        ),
		'it-IT-Wavenet-A' => array(
            'type' => 'female',
            'desc' => 'Italian Female',
            'voptions' => array('lang' => 'it-IT')
        ),
		'ja-JP-Standard-A' => array(
            'type' => 'female',
            'desc' => 'Japanese Female',
            'voptions' => array('lang' => 'ja-JP')
        ),
		'ja-JP-Wavenet-A' => array(
            'type' => 'female',
            'desc' => 'Japanese Female',
            'voptions' => array('lang' => 'ja-JP')
        ),
		'ko-KR-Standard-A' => array(
            'type' => 'female',
            'desc' => 'Korean Female',
            'voptions' => array('lang' => 'ko-KR')
        ),
		'ko-KR-Standard-B' => array(
            'type' => 'female',
            'desc' => 'Korean Female',
            'voptions' => array('lang' => 'ko-KR')
        ),
		'ko-KR-Standard-C' => array(
            'type' => 'male',
            'desc' => 'Korean Male',
            'voptions' => array('lang' => 'ko-KR')
        ),
		'ko-KR-Standard-D' => array(
            'type' => 'male',
            'desc' => 'Korean Male',
            'voptions' => array('lang' => 'ko-KR')
        ),
		'ko-KR-Wavenet-A' => array(
            'type' => 'female',
            'desc' => 'Korean Female',
            'voptions' => array('lang' => 'ko-KR')
        ),
		'ko-KR-Wavenet-B' => array(
            'type' => 'female',
            'desc' => 'Korean Female',
            'voptions' => array('lang' => 'ko-KR')
        ),
		'ko-KR-Wavenet-C' => array(
            'type' => 'male',
            'desc' => 'Korean Male',
            'voptions' => array('lang' => 'ko-KR')
        ),
		'ko-KR-Wavenet-D' => array(
            'type' => 'male',
            'desc' => 'Korean Male',
            'voptions' => array('lang' => 'ko-KR')
        ),
		'nb-no-Standard-E' => array(
            'type' => 'female',
            'desc' => 'Norwegian Female',
            'voptions' => array('lang' => 'nb-NO')
        ),
		'nb-no-Wavenet-E' => array(
            'type' => 'female',
            'desc' => 'Norwegian Female',
            'voptions' => array('lang' => 'nb-NO')
        ),
		'pl-PL-Standard-A' => array(
            'type' => 'female',
            'desc' => 'Polish Female',
            'voptions' => array('lang' => 'pl-PL')
        ),
		'pl-PL-Standard-B' => array(
            'type' => 'male',
            'desc' => 'Polish Male',
            'voptions' => array('lang' => 'pl-PL')
        ),
		'pl-PL-Standard-C' => array(
            'type' => 'male',
            'desc' => 'Polish Male',
            'voptions' => array('lang' => 'pl-PL')
        ),
		' pl-PL-Standard-D' => array(
            'type' => 'female',
            'desc' => 'Polish Female',
            'voptions' => array('lang' => 'pl-PL')
        ),
		'pl-PL-Standard-E' => array(
            'type' => 'female',
            'desc' => 'Polish Female',
            'voptions' => array('lang' => 'pl-PL')
        ),
		'pl-PL-Wavenet-A' => array(
            'type' => 'female',
            'desc' => 'Polish Female',
            'voptions' => array('lang' => 'pl-PL')
        ),
        'pl-PL-Wavenet-B' => array(
            'type' => 'male',
            'desc' => 'Polish Male',
            'voptions' => array('lang' => 'pl-PL')
        ),
        'pl-PL-Wavenet-C' => array(
            'type' => 'male',
            'desc' => 'Polish Male',
            'voptions' => array('lang' => 'pl-PL')
        ),
        'pl-PL-Wavenet-D' => array(
            'type' => 'female',
            'desc' => 'Polish Female',
            'voptions' => array('lang' => 'pl-PL')
        ),
        'pl-PL-Wavenet-E' => array(
            'type' => 'female',
            'desc' => 'Polish Female',
            'voptions' => array('lang' => 'pl-PL')
        ),
        'pt-BR-Standard-A' => array(
            'type' => 'female',
            'desc' => 'Brazilian Female',
            'voptions' => array('lang' => 'pt-BR')
        ),
        'pt-BR-Wavenet-A' => array(
            'type' => 'female',
            'desc' => 'Brazilian Female',
            'voptions' => array('lang' => 'pt-BR')
        ),
        'pt-PT-Standard-A' => array(
            'type' => 'female',
            'desc' => 'Portuguese Female',
            'voptions' => array('lang' => 'pt-PT')
        ),
        'pt-PT-Standard-B' => array(
            'type' => 'male',
            'desc' => 'Portuguese Male',
            'voptions' => array('lang' => 'pt-PT')
        ),
        'pt-PT-Standard-C' => array(
            'type' => 'male',
            'desc' => 'Portuguese Female',
            'voptions' => array('lang' => 'pt-PT')
        ),
        'pt-PT-Standard-D' => array(
            'type' => 'female',
            'desc' => 'Portuguese Female',
            'voptions' => array('lang' => 'pt-PT')
        ),
        'pt-PT-Wavenet-A' => array(
            'type' => 'female',
            'desc' => 'Portuguese Female',
            'voptions' => array('lang' => 'pt-PT')
        ),
        'pt-PT-Wavenet-B' => array(
            'type' => 'male',
            'desc' => 'Portuguese Male',
            'voptions' => array('lang' => 'pt-PT')
        ),
        'pt-PT-Wavenet-C' => array(
            'type' => 'male',
            'desc' => 'Portuguese Male',
            'voptions' => array('lang' => 'pt-PT')
        ),
        'pt-PT-Wavenet-D' => array(
            'type' => 'female',
            'desc' => 'Portuguese Female',
            'voptions' => array('lang' => 'pt-PT')
        ),
        'ru-RU-Standard-A' => array(
            'type' => 'female',
            'desc' => 'Russian Female',
            'voptions' => array('lang' => 'ru-RU')
        ),
        'ru-RU-Standard-B' => array(
            'type' => 'male',
            'desc' => 'Russian Male',
            'voptions' => array('lang' => 'ru-RU')
        ),
        'ru-RU-Standard-C' => array(
            'type' => 'female',
            'desc' => 'Russian Female',
            'voptions' => array('lang' => 'ru-RU')
        ),
        'ru-RU-Standard-D' => array(
            'type' => 'male',
            'desc' => 'Russian Male',
            'voptions' => array('lang' => 'ru-RU')
        ),
        'ru-RU-Wavenet-A' => array(
            'type' => 'female',
            'desc' => 'Russian Female',
            'voptions' => array('lang' => 'ru-RU')
        ),
        'ru-RU-Wavenet-B' => array(
            'type' => 'male',
            'desc' => 'Russian Male',
            'voptions' => array('lang' => 'ru-RU')
        ),
        'ru-RU-Wavenet-C' => array(
            'type' => 'female',
            'desc' => 'Russian Female',
            'voptions' => array('lang' => 'ru-RU')
        ),
        'ru-RU-Wavenet-D' => array(
            'type' => 'male',
            'desc' => 'Russian Male',
            'voptions' => array('lang' => 'ru-RU')
        ),
        'sk-SK-Standard-A' => array(
            'type' => 'female',
            'desc' => 'Slovak Female',
            'voptions' => array('lang' => 'sk-SK')
        ),
        'sk-SK-Wavenet-A' => array(
            'type' => 'female',
            'desc' => 'Slovak Female',
            'voptions' => array('lang' => 'sk-SK')
        ),
        'es-ES-Standard-A' => array(
            'type' => 'female',
            'desc' => 'Spanish Female',
            'voptions' => array('lang' => 'es-ES')
        ),
        'sv-SE-Standard-A' => array(
            'type' => 'female',
            'desc' => 'Swedish Female',
            'voptions' => array('lang' => 'sv-SE')
        ),
        'sv-SE-Wavenet-A' => array(
            'type' => 'female',
            'desc' => 'Swedish Female',
            'voptions' => array('lang' => 'sv-SE')
        ),
        'tr-TR-Standard-A' => array(
            'type' => 'female',
            'desc' => 'Turkish Female',
            'voptions' => array('lang' => 'tr-TR')
        ),
        'tr-TR-Standard-B' => array(
            'type' => 'male',
            'desc' => 'Turkish Male',
            'voptions' => array('lang' => 'tr-TR')
        ),
        'tr-TR-Standard-C' => array(
            'type' => 'female',
            'desc' => 'Turkish Female',
            'voptions' => array('lang' => 'tr-TR')
        ),
        'tr-TR-Standard-D' => array(
            'type' => 'female',
            'desc' => 'Turkish Female',
            'voptions' => array('lang' => 'tr-TR')
        ),
        'tr-TR-Standard-E' => array(
            'type' => 'male',
            'desc' => 'Turkish Male',
            'voptions' => array('lang' => 'tr-TR')
        ),
        'tr-TR-Wavenet-A' => array(
            'type' => 'female',
            'desc' => 'Turkish Female',
            'voptions' => array('lang' => 'tr-TR')
        ),
        'tr-TR-Wavenet-B' => array(
            'type' => 'male',
            'desc' => 'Turkish Male',
            'voptions' => array('lang' => 'tr-TR')
        ),
        'tr-TR-Wavenet-C' => array(
            'type' => 'female',
            'desc' => 'Turkish Female',
            'voptions' => array('lang' => 'tr-TR')
        ),
        'tr-TR-Wavenet-D' => array(
            'type' => 'female',
            'desc' => 'Turkish Female',
            'voptions' => array('lang' => 'tr-TR')
        ),
        'tr-TR-Wavenet-E' => array(
            'type' => 'male',
            'desc' => 'Turkish Male',
            'voptions' => array('lang' => 'tr-TR')
        ),
        'uk-UA-Standard-A' => array(
            'type' => 'female',
            'desc' => 'Ukrainian Female',
            'voptions' => array('lang' => 'uk-UA')
        ),
        'uk-UA-Wavenet-A' => array(
            'type' => 'female',
            'desc' => 'Ukrainian Female',
            'voptions' => array('lang' => 'uk-UA')
        )
    ),
    'langcodes'         => array(
        'da-DK'     => array('da-DK-Standard-A', 'da-DK-Wavenet-A'),
        'nl-NL'     => array('nl-NL-Standard-A', 'nl-NL-Wavenet-A'),
        'en-AU'     => array('en-AU-Standard-A', 'en-AU-Standard-B','en-AU-Standard-C','en-AU-Standard-D','en-AU-Wavenet-A','en-AU-Wavenet-B','en-AU-Wavenet-C','en-AU-Wavenet-D'),
        'en-GB'     => array('en-GB-Standard-A', 'en-GB-Standard-B', 'en-GB-Standard-C','en-GB-Standard-D','en-GB-Wavenet-A','en-GB-Wavenet-B','en-GB-Wavenet-C','en-GB-Wavenet-D'),
        'en-US'     => array('en-US-Standard-B', 'en-US-Standard-C', 'en-US-Standard-D', 'en-US-Standard-E', 'en-US-Wavenet-A', 'en-US-Wavenet-B', 'en-US-Wavenet-C', 'en-US-Wavenet-D','en-US-Wavenet-E','en-US-Wavenet-F'),
        'fr-FR'     => array('fr-FR-Standard-A', 'fr-FR-Standard-B','fr-FR-Standard-C','fr-FR-Standard-D','fr-FR-Wavenet-A','fr-FR-Wavenet-B','fr-FR-Wavenet-C','fr-FR-Wavenet-D'),
        'fr-CA'     => array('fr-CA-Standard-A','fr-CA-Standard-B','fr-CA-Standard-C','fr-CA-Standard-D','fr-CA-Wavenet-A','fr-CA-Wavenet-B','fr-CA-Wavenet-C','fr-CA-Wavenet-D'),
        'de-DE'     => array('de-DE-Standard-A', 'de-DE-Standard-B', 'de-DE-Wavenet-A','de-DE-Wavenet-B','de-DE-Wavenet-C','de-DE-Wavenet-D'),
        'it-IT'     => array('it-IT-Standard-A', 'it-IT-Wavenet-A'),
        'ja-JP'     => array('ja-JP-Standard-A', 'ja-JP-Wavenet-A'),
        'ko-KR'     => array('ko-KR-Standard-A','ko-KR-Standard-B','ko-KR-Standard-C','ko-KR-Standard-D','ko-KR-Wavenet-A','ko-KR-Wavenet-B','ko-KR-Wavenet-C','ko-KR-Wavenet-D'),
        'nb-NO'     => array('nb-no-Standard-E','nb-no-Wavenet-E'),
        'pl-PL'     => array('pl-PL-Standard-A', 'pl-PL-Standard-B', 'pl-PL-Standard-C', 'pl-PL-Standard-D','pl-PL-Standard-E','pl-PL-Wavenet-A','pl-PL-Wavenet-B','pl-PL-Wavenet-C','pl-PL-Wavenet-D','pl-PL-Wavenet-E'),
        'pt-PT'     => array('pt-PT-Standard-A', 'pt-PT-Standard-B','pt-PT-Standard-C','pt-PT-Standard-D','pt-PT-Wavenet-A','pt-PT-Wavenet-B','pt-PT-Wavenet-C','pt-PT-Wavenet-D'),
        'pt-BR'     => array('pt-BR-Standard-A', 'pt-BR-Wavenet-A'),
        'ru-RU'     => array('ru-RU-Standard-A', 'ru-RU-Standard-B','ru-RU-Standard-C','ru-RU-Standard-D','ru-RU-Wavenet-A','ru-RU-Wavenet-B','ru-RU-Wavenet-Cru-RU-Wavenet-D','ru-RU-Wavenet-D'),
        'sk-SK'     => array('sk-SK-Standard-A','sk-SK-Wavenet-A'),
        'es-ES'     => array('es-ES-Standard-A'),
        'sv-SE'     => array('sv-SE-Standard-A','sv-SE-Wavenet-A'),
        'tr-TR'     => array('tr-TR-Standard-A','tr-TR-Standard-B','tr-TR-Standard-C','tr-TR-Standard-D','tr-TR-Standard-E','tr-TR-Wavenet-A','tr-TR-Wavenet-B','tr-TR-Wavenet-C','tr-TR-Wavenet-D','tr-TR-Wavenet-E'),
        'uk-UA'     => array('uk-UA-Standard-A','uk-UA-Wavenet-A')
    ),
    'charsets'          => array('UTF-8'),
    'codecs'            => array(
        '0' => 'mp3',
        '1' => 'wav'
    ),
    'iformats'          => array('mp3', 'wav'),
    'vxiformats'        => array(
        'mp3' => array('iformat' => 'mp3', 'codec' => '0'),
        'wav' => array('iformat' => 'wav', 'codec' => '1')
    ),
    "formatiscodec"     => false,
    "createlistfile"    => false,
    "directphpfunction" => true,
    "debugargs"         => "",
    "checks"            => array("ttsgoogle", "curl_setopt"),
    "simexeclimit"      => "0",
);

// vim: set filetype=php expandtab tabstop=2 shiftwidth=2 autoindent smartindent:
